

The recently added TIMEOUT definition clashes with private versions in scsi
drivers.



 25-akpm/drivers/scsi/scsi.c       |    2 +-
 25-akpm/drivers/scsi/scsi_error.c |    2 +-
 25-akpm/include/scsi/scsi.h       |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/scsi/scsi.c~scsi-rename-TIMEOUT drivers/scsi/scsi.c
--- 25/drivers/scsi/scsi.c~scsi-rename-TIMEOUT	Tue Jan  6 14:41:26 2004
+++ 25-akpm/drivers/scsi/scsi.c	Tue Jan  6 14:41:26 2004
@@ -441,7 +441,7 @@ void scsi_log_completion(struct scsi_cmn
 			case FAILED:
 				printk("FAILED ");
 				break;
-			case TIMEOUT:
+			case SD_CMD_TIMEOUT:
 				/* 
 				 * If called via scsi_times_out.
 				 */
diff -puN drivers/scsi/scsi_error.c~scsi-rename-TIMEOUT drivers/scsi/scsi_error.c
--- 25/drivers/scsi/scsi_error.c~scsi-rename-TIMEOUT	Tue Jan  6 14:41:26 2004
+++ 25-akpm/drivers/scsi/scsi_error.c	Tue Jan  6 14:41:26 2004
@@ -164,7 +164,7 @@ int scsi_delete_timer(struct scsi_cmnd *
  **/
 void scsi_times_out(struct scsi_cmnd *scmd)
 {
-	scsi_log_completion(scmd, TIMEOUT);
+	scsi_log_completion(scmd, SD_CMD_TIMEOUT);
 	if (unlikely(!scsi_eh_scmd_add(scmd, SCSI_EH_CANCEL_CMD))) {
 		panic("Error handler thread not present at %p %p %s %d",
 		      scmd, scmd->device->host, __FILE__, __LINE__);
diff -puN include/scsi/scsi.h~scsi-rename-TIMEOUT include/scsi/scsi.h
--- 25/include/scsi/scsi.h~scsi-rename-TIMEOUT	Tue Jan  6 14:41:26 2004
+++ 25-akpm/include/scsi/scsi.h	Tue Jan  6 14:41:26 2004
@@ -302,7 +302,7 @@ struct scsi_lun {
 #define QUEUED          0x2004
 #define SOFT_ERROR      0x2005
 #define ADD_TO_MLQUEUE  0x2006
-#define TIMEOUT         0x2007
+#define SD_CMD_TIMEOUT  0x2007
 
 /*
  * Midlevel queue return values.

_
